aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild-python.sh2
-rwxr-xr-xbuild.sh4
-rwxr-xr-xdeploy-manifests.sh2
-rwxr-xr-xdeploy.sh2
4 files changed, 9 insertions, 1 deletions
diff --git a/build-python.sh b/build-python.sh
index 6289c05..c1ac346 100755
--- a/build-python.sh
+++ b/build-python.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -e
+
NAME=python
VERSION=${VERSION:-$(date -u +%Y%m%d)}
VERSION_SUFFIX="-${VERSION}"
diff --git a/build.sh b/build.sh
index 0687c46..0fabd00 100755
--- a/build.sh
+++ b/build.sh
@@ -1,9 +1,11 @@
#!/bin/bash
-# Used to create Gentoo stage3 and portage containers simply by specifying a
+# Used to create Gentoo stage3 and portage containers simply by specifying a
# TARGET env variable.
# Example usage: TARGET=stage3-amd64 ./build.sh
+set -e
+
if [[ -z "$TARGET" ]]; then
echo "TARGET environment variable must be set e.g. TARGET=stage3-amd64-openrc."
exit 1
diff --git a/deploy-manifests.sh b/deploy-manifests.sh
index 5bf0b33..37b735b 100755
--- a/deploy-manifests.sh
+++ b/deploy-manifests.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -e
+
if [[ -z "$TARGET" ]]; then
echo "TARGET environment variable must be set e.g. TARGET=stage3:latest."
exit 1
diff --git a/deploy.sh b/deploy.sh
index 4871735..06f84b1 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -e
+
if [[ -z "$TARGET" ]]; then
echo "TARGET environment variable must be set e.g. TARGET=stage3-amd64-openrc."
exit 1